Gtk_ColorSelectionDialog(3)

NAME - Gtk_ColorSelectionDialog

HEADER REQUIRED
#include <gtk--/colorselection.h&gt;>

BASE CLASSES
Gtk_Window(3)

PUBLIC MEMBER INDEX
    Gtk_ColorSelectionDialog(const _gtk_string &title);
    Gtk_ColorSelectionDialog(GtkColorSelectionDialog *castitem);
    ~Gtk_ColorSelectionDialog();
    Gtk_ColorSelection*  get_colorsel();
    Gtk_Button*  get_ok_button();
    Gtk_Button*  get_reset_button();
    Gtk_Button*  get_cancel_button();
    Gtk_Button*  get_help_button();
    const Gtk_ColorSelection*  get_colorsel() const;
    const Gtk_Button*  get_ok_button() const;
    const Gtk_Button*  get_reset_button() const;
    const Gtk_Button*  get_cancel_button() const;
    const Gtk_Button*  get_help_button() const;
    GtkColorSelectionDialog*  gtkobj();
    const GtkColorSelectionDialog*  gtkobj() const;
    static bool  isGtkColorSelectionDialog(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkColorSelectionDialog  BaseObjectType;
    typedef GtkColorSelectionDialogClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_ColorSelection  colorsel_;
    Gtk_ObjectHandle  ok_button_, reset_button_, cancel_button_, help_button_;

PRIVATE MEMBER INDEX
    static CppClassType  color_selection_dialog_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS